[gelöst] hängt ab von - abhängigkeiten sind aber erfüllt..!?

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
t0bias
Member
Member
Beiträge: 90
Registriert: 11. Aug 2005, 13:33

[gelöst] hängt ab von - abhängigkeiten sind aber erfüllt..!?

Beitrag von t0bias » 14. Jan 2006, 19:10

wollte mit apt-get k3b installieren.
apt bringt aber die fehlermeldung:

Die folgenden Pakete besitzen unerfülte Abhängigkeiten:
k3b: Hängt ab von: libavcodec.so()(64bit) aber es ist nicht installierbar
Hängt ab von: libavformat.so()(64bit) aber es ist nicht installierbar
E: Fehlerhafte Pakete


aber diese dateien sind ja vorhanden!?

was muss ich tun?

danke schonmal
Zuletzt geändert von t0bias am 25. Jan 2006, 18:32, insgesamt 1-mal geändert.

Werbung:
Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk » 15. Jan 2006, 15:55

Was liefert denn ein
'apt search libavformat.so'
Und wie sieht deine sources.list aus?
"Die Rechtschreibung ist Freeware, du darfst sie kostenlos nutzen. Allerdings ist sie nicht OpenSource, d.h. du sollst sie nicht verändern oder in veränderter Form veröffentlichen."

t0bias
Member
Member
Beiträge: 90
Registriert: 11. Aug 2005, 13:33

Beitrag von t0bias » 15. Jan 2006, 16:01

also apt search libavformat.so gibt mir das zurück:
libffmpeg0 - Shared library part of ffmpeg

das paket ist aber installiert, wie auch apt install libffmpeg0 zeigt:
Lese Paketlisten... Fertig
Erzeuge Abhängigkeitsbaum... Fertig
libffmpeg0 ist bereits die neueste Version.

meine sources.list:

#
# Safe sources.list file generated by install-apt4suse at Di Dez 27 14:41:31 CET 2005
#
# You can manage the components that apprear in this file by editing
# UNWANTED_COMPONENTS in the file /etc/install-apt4rpm.conf.
# Don't edit this variable unless you know what you do !!!
#
# This file is based on the content of the full components list file:
# ftp://ftp4.gwdg.de/pub/linux/suse/apt/S ... s.list.FTP
#
# Don't remove the following line.
# DEFAULT_MIRROR = ftp://ftp4.gwdg.de/pub/linux/suse/apt
#
#
# Repository created by: aptate (version 0.69.3)
# At: Tue Dec 27 13:17:23 MET 2005
# More info about aptate at: http://apt4rpm.sourceforge.net
#
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 rpmkeys
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 base
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 java
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 update
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 extra
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 kraxel
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 kde
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 gnome
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 packman
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 mozilla
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 suser-drcux
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 suser-gbv
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 suser-scorot
rpm ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 security
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 rpmkeys
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 base
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 java
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 update
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 extra
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 kraxel
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 kde
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 gnome
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 packman
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 mozilla
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 suser-drcux
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 suser-gbv
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 suser-scorot
#rpm-src ftp://ftp4.gwdg.de/pub/linux/suse/apt SuSE/10.0-x86_64 security

awagner
Member
Member
Beiträge: 57
Registriert: 5. Mai 2004, 23:55
Wohnort: Mainz
Kontaktdaten:

Beitrag von awagner » 21. Jan 2006, 01:22

...hab gerade eben auch nur mit einem älteren rpm von libffmpeg0 (und in meinem Falle ffmpeg gleich dazu) Erfolg gehabt.
Bei mir hat die von apt vorhin eingespielte Version von libffmpeg zwar die libavcodec.so()(64bit) ins richtige Verzeichnis gelegt, aber irgendwie konnte ich ein darauf aufbauendes Paket (lve) nicht installieren. Hab dann über pbone gesucht und From: ftp://ftp.pbone.net/mirror/ftp.gwdg.de/ ... x86_64.rpm installiert und dann ging's.

HTH,
Andreas

t0bias
Member
Member
Beiträge: 90
Registriert: 11. Aug 2005, 13:33

Beitrag von t0bias » 25. Jan 2006, 18:33

danke für eure hilfe

scheint ein bug in der letzten libffmpeg0 gewesen zu sein.
mit der aktuellen ist wieder alles ok.

Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk » 25. Jan 2006, 18:55

Ja, da waren Abhängigkeiten schief. Mit aktuellen Paketen ist das behoben worden.
"Die Rechtschreibung ist Freeware, du darfst sie kostenlos nutzen. Allerdings ist sie nicht OpenSource, d.h. du sollst sie nicht verändern oder in veränderter Form veröffentlichen."

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast